From: Zhihong Lin <[email-masked]>
Date: Mon, 23 May 94 19:51:34 CDT

Hi! As a LADs, I have a problem with the application 
for advanced parole.

I came to USA with F-1 visa in 1991. My husband has got GC 
under CSPA with priority date July 1, 1993. My Form-130 has
been approved with priority date Feb. 3, 1994. 

I am planning a trip to China this summer. The foreign student 
advisor tells me that I need an advanced parole otherwise I may
have trouble to get re-entry visa due to intention of imigration.
But the local INS officer tells me that I can't and don't need
to apply advanced porale since I have to wait for more than two year 
for green card with family based 2nd category. This officer says
that I can apply re-entry student visa in Beijing because I am still
a full time student.
 
My questions are: Do I have trouble to get re-entry student visa
in Beijing if I go back to China? If so, what can I do now?

Thanks a lots for any comment.